Page MenuHomePhabricator

Just say "Create Account" not "Create Another Account"
Closed, ResolvedPublic

Description

When WikiSysop creates an account for a user, the big button on bottom should Just just say "Create Account" not "Create Another Account". If you want to say the latter, please wait until we have created the first one this session.

Event Timeline

Jidanni created this task.Mar 5 2015, 4:10 AM
Jidanni raised the priority of this task from to Lowest.
Jidanni updated the task description. (Show Details)
Jidanni added a subscriber: Jidanni.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 5 2015, 4:10 AM

Assuming this is about /Special:UserLogin/signup (as no steps were given), the request here is that the code should check for the user rights of the logged in user, and not show "Create Another Account" if the user has special rights?

All I know is I am WikiSysop and I am creating an account for somebody.
Something I do maybe once a year.

Well I look down and I see the button says "another", but I haven't even
created the first one.

Maybe after I create the first one, then say "another", but not before.

I guess it means "another" as in "other than your own".

Ah, no wonder!

But still bad, when a secretary, with a big sheet of accounts to
enter, scratches their head "But I haven't even started entering them".

Scott added a subscriber: Scott.Sep 5 2015, 12:22 PM

But still bad, when a secretary, with a big sheet of accounts to
enter, scratches their head "But I haven't even started entering them".

+1. Interface messages shouldn't be ambiguous.

Glaisher added a subscriber: Glaisher.
Devirk claimed this task.Sep 10 2015, 12:01 PM
Devirk set Security to None.

Change 237915 had a related patch set uploaded (by Siebrand):
Use 'Create account' for button in Special:UserLogin/Signup

https://gerrit.wikimedia.org/r/237915

Change 237915 merged by jenkins-bot:
Use 'Create account' for button in Special:UserLogin/Signup

https://gerrit.wikimedia.org/r/237915

Glaisher closed this task as Resolved.Sep 24 2015, 11:50 AM